#ifdef HAVE_CONFIG_H
#  include <config.h>
#endif

#include <gtk/gtk.h>

#include "callbacks.h"
#include "interface.h"
#include "support.h"
#include "barline_utils.h"

void
on_frm_barline_show                    (GtkWidget       *widget,
                                        gpointer         user_data)
{
   load_data();
   draw_axis_and_scales();
   draw_bar_chart();
   draw_line_chart();
}


gboolean
on_frm_barline_delete_event            (GtkWidget       *widget,
                                        GdkEvent        *event,
                                        gpointer         user_data)
{
  gtk_main_quit();
  return FALSE;
}


gboolean
on_drawingarea1_event                  (GtkWidget       *widget,
                                        GdkEvent        *event,
                                        gpointer         user_data)
{
   draw_axis_and_scales();
   draw_bar_chart();
   draw_line_chart();

   return FALSE;
}

