# The spec file for building the rpm to distribute the 
# Worldwide Commissions Application built in Chapters 
# 8 and 9.

# The Preamble Section

Summary:  Worldwide Commissions Applications
Name: ww
Version: 0.1
Release: 1
Copyright: Proprietary
Group:  Applications/Databases
Packager:  Matt Stucky <stuckym@prodigy.net>

%description
In house application for computing Worldwide Commissions
each month.

# Preparation Section

%prep

# Clean out the rpm build and source directories in preparation for
# the build.

rm -rf $RPM_BUILD_DIR/*
rm -rf $RPM_SOURCE_DIR/*

# Copy the source files to the rpm BUILD and SOURCES directory.

cp /mnt/DOS_hda2/newriders/book/ch09/src/Makefile  /usr/src/redhat/SOURCES/Makefile
cp /mnt/DOS_hda2/newriders/book/ch09/src/*.c       /usr/src/redhat/SOURCES/
cp /mnt/DOS_hda2/newriders/book/ch09/src/*.h       /usr/src/redhat/SOURCES/
cp /mnt/DOS_hda2/newriders/book/ch09/src/*.desktop /usr/src/redhat/SOURCES/

cp /mnt/DOS_hda2/newriders/book/ch09/src/Makefile  /usr/src/redhat/BUILD/Makefile
cp /mnt/DOS_hda2/newriders/book/ch09/src/*.c       /usr/src/redhat/BUILD/
cp /mnt/DOS_hda2/newriders/book/ch09/src/*.h       /usr/src/redhat/BUILD/
cp /mnt/DOS_hda2/newriders/book/ch09/src/*.desktop /usr/src/redhat/BUILD/

# These next two sections are simple having already created the
# make file with a "make install" included.

%build
make

%install
make install

# Lastly, a list of the files needed for the application to install.

%files
/usr/local/bin/ww
"/usr/share/gnome/apps/In House Applications/Worldwide Commissions.desktop"


