#ifdef HAVE_CONFIG_H
#  include <config.h>
#endif

#include <gtk/gtk.h>

#include "callbacks.h"
#include "interface.h"
#include "support.h"
#include "piechart_utils.h"

void
on_frm_piechart_show                   (GtkWidget       *widget,
                                        gpointer         user_data)
{
  if (load_data() == FALSE)
      {
          g_print("Unable to load data for pie chart.\n"); 
          return;
      }

  parse_colors();

  draw_pie_chart();
  g_print("on_frm_piechart_show\n");
}


gboolean
on_frm_piechart_delete_event           (GtkWidget       *widget,
                                        GdkEvent        *event,
                                        gpointer         user_data)
{
  g_print("on_frm_piechart_delete_event\n");
  gtk_main_quit();
  return FALSE;
}


gboolean
on_drawingarea1_delete_event           (GtkWidget       *widget,
                                        GdkEvent        *event,
                                        gpointer         user_data)
{

  //g_print("on_drawingarea1_delete_event\n");
  return FALSE;
}


void
on_drawingarea1_show                   (GtkWidget       *widget,
                                        gpointer         user_data)
{

  //g_print("on_drawingarea1_show\n");

}


void
on_drawingarea1_draw                   (GtkWidget       *widget,
                                        GdkRectangle    *area,
                                        gpointer         user_data)
{

  //g_print("on_drawingarea1_draw\n");
}


gboolean
on_drawingarea1_event                  (GtkWidget       *widget,
                                        GdkEvent        *event,
                                        gpointer         user_data)
{
  draw_pie_chart();
  //g_print("on_drawingarea1_event\n");
  return FALSE;
}


void
on_drawingarea1_realize                (GtkWidget       *widget,
                                        gpointer         user_data)
{
  //g_print("on_drawingarea1_realize\n");

}


void
on_frm_piechart_realize                (GtkWidget       *widget,
                                        gpointer         user_data)
{
  //g_print("on_frm_piechart_realize\n");

}


gboolean
on_frm_piechart_event                  (GtkWidget       *widget,
                                        GdkEvent        *event,
                                        gpointer         user_data)
{

  //g_print("on_frm_piechart_event\n");
  return FALSE;
}

